Flutter

# 1. 系统配置要求

想要安装并运行 Flutter,你的开发环境需要最低满足以下要求:

  • 操作系统:macOS

  • 磁盘空间:2.8 GB(不包含 IDE 或其余工具所需要的磁盘空间)

  • 工具:Flutter 使用 git 进行安装和升级,我们建议您安装包含了 git 的 Xcode,或者您也可以 单独安装 git。

# 2. 网络环境设置

如果您是中国境内的开发人员,为了确保相关flutter包的下载速度,需要配置国内镜像地址。

欢迎你来到由中国 Flutter 社区维护的中文 Flutter 资源网站:https://flutter.cn

如果你需要下载 Flutter SDK 的独立打包文件,你可以将下载链接前缀替换为你信任的镜像链接。

  • 原始链接: https://storage.googleapis.com/flutter_infra_release/releases/stable/windows/flutter_windows_v1.0.0-stable.zip

  • 镜像之后的链接: https://storage.flutter-io.cn/flutter_infra_release/releases/stable/windows/flutter_windows_v1.0.0-stable.zip 同时为了正常升级 Flutter 和通过 pub package 命令获取 packages,你需要设置如下两个环境变量,设置方式如下:

编辑**~/.bash_profile**文件,

vi ~/.bash_profile
1

在文件末尾加入如下内容:

export PUB_HOSTED_URL=https://pub.flutter-io.cn
export FLUTTER_STORAGE_BASE_URL=https://storage.flutter-io.cn
1
2

# 3. Flutter安装

这里以MacOS系统为例,进行Flutter 2.8.1-stable版本的安装。

# 3.1 下载

点击https://flutter.cn/docs/development/tools/sdk/releases?tab=macos下载Flutter。

# 3.2 解压

unzip flutter_macos_2.8.1-stable.zip
1

# 3.3 配置环境变量

同样的,编辑**~/.bash_profile**文件,

vi ~/.bash_profile
1

将Flutter加入到系统环境变量中:

export FLUTTER_HOME=/Users/apegeek/work/software/flutter
export PATH=$FLUTTER_HOME/bin:$PATH
1
2

# 3.4 刷新配置

source ~/.bash_profile
1

# 3.5 验证

which flutter
1

# 4. 安装 Android Studio

# 4.1 下载

点击这里 (opens new window)下载。

# 4.2 安装

此处省略一万字......

# 4.3 检测Android SDK

flutter doctor
1

如果提示下图信息: 根据提示安装相关依赖。

# 查找sdkmanager应用目录
find / -name sdkmanager

# 切换到sdkmanager所在目录
cd /Users/apegeek/Library/Android/sdk/tools/bin

# 执行命令
./sdkmanager --install "cmdline-tools;latest"

# 授权
flutter doctor --android-licenses

# 安装 cocoapods
sudo gem install cocoapods

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15

# 5. rvm 安装

curl -L https://raw.githubusercontent.com/wayneeseguin/rvm/master/binscripts/rvm-installer | bash -s stable
1
更新时间: 10/23/2022, 8:05:06 AM